# (3/4) Odometry Check

## Linear check

* Align the bot appropriately to test 3-4 meters of linear, straight distance without an angular component. Test using the following command in Terminal: `rostopic pub /cmd_vel geometry_msgs/Twist "linear: x: 0.0 y: 0.0 z: 0.0 angular: x: 0.0 y: 0.0 z: 0.0"`
* Restart motor&#x20;
* Check odom pose is zero.
* Publish only linear vel x: 0.1 and stop the bot at the 3-4 m mark.&#x20;
* Echo the odom topic: `rostopic echo /odom`.&#x20;
* Compare the pose of the updated odom with linear and angular bot travelled (offset 1-2%).&#x20;

## Angular check

* Align the bot properly. Mark the spot where the bot will begin rotating.&#x20;
* Restart the motors.
* Rotate the bot clockwise. Quaternion should be updated to negative.
* Restart the motor and rotate the bot anticlockwise. Quaternion should be updated to positive.
* Restart the motor. Rotate and stop the bot at the original marked spot.&#x20;
* Make sure that the angular pose is a 0 rad change.

**Validating Odometry Data**

We provide you with a script that enables you to verify the odometry data by inputting the velocity and duration. The robot will then move at the specified velocity for the given duration. Subsequently, the script will calculate and provide the distance traveled by the robot based on these inputs.

This will facilitate the verification of your odometry data, making it easier and more efficient for you.

You can download the script [here](https://drive.google.com/file/d/1d2XQhtyPX7hDUDS_dX6wVPJ6zm0XEpWe/view?usp=share_link).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movel.ai/new-collection/seirios-rns/documentation/installation-and-integration-1/pre-installation-checks/robot-checks/3-4-odometry-check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
